summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 21:46:33 -0300
committerPerberos <[email protected]>2011-12-01 21:46:33 -0300
commit9d1d71a22f9acf0c5c283064b805166ad612013b (patch)
tree10546fa370323cb9468ab9da26a36eb2147037b9 /autogen.sh
downloadmate-common-9d1d71a22f9acf0c5c283064b805166ad612013b.tar.bz2
mate-common-9d1d71a22f9acf0c5c283064b805166ad612013b.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0b2ecd3
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+
+PKG_NAME="mate-common"
+
+(test -f $srcdir/configure.in) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+. $srcdir/macros2/mate-autogen.sh
+